diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/shortcodes.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/shortcodes.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/shortcodes.php	2012-11-06 08:47:33.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/shortcodes.php	2013-04-29 09:48:31.000000000 -0500
***************
*** 128,133 ****
--- 128,170 ----
  }
  
  /**
+  * Whether a registered shortcode exists named $tag
+  *
+  * @since 3.6.0
+  *
+  * @global array $shortcode_tags
+  * @param string $tag
+  * @return boolean
+  */
+ function shortcode_exists( $tag ) {
+ 	global $shortcode_tags;
+ 	return array_key_exists( $tag, $shortcode_tags );
+ }
+ 
+ /**
+  * Whether the passed content contains the specified shortcode
+  *
+  * @since 3.6.0
+  *
+  * @global array $shortcode_tags
+  * @param string $tag
+  * @return boolean
+  */
+ function has_shortcode( $content, $tag ) {
+ 	if ( shortcode_exists( $tag ) ) {
+ 		preg_match_all( '/' . get_shortcode_regex() . '/s', $content, $matches, PREG_SET_ORDER );
+ 		if ( empty( $matches ) )
+ 			return false;
+ 
+ 		foreach ( $matches as $shortcode ) {
+ 			if ( $tag === $shortcode[2] )
+ 				return true;
+ 		}
+ 	}
+ 	return false;
+ }
+ 
+ /**
   * Search content for shortcodes and filter shortcodes through their hooks.
   *
   * If there are no shortcode tags defined, then the content will be returned
***************
*** 289,297 ****
   *
   * @param array $pairs Entire list of supported attributes and their defaults.
   * @param array $atts User defined attributes in shortcode tag.
   * @return array Combined and filtered attribute list.
   */
! function shortcode_atts($pairs, $atts) {
  	$atts = (array)$atts;
  	$out = array();
  	foreach($pairs as $name => $default) {
--- 326,335 ----
   *
   * @param array $pairs Entire list of supported attributes and their defaults.
   * @param array $atts User defined attributes in shortcode tag.
+  * @param string $shortcode Optional. The name of the shortcode, provided for context to enable filtering
   * @return array Combined and filtered attribute list.
   */
! function shortcode_atts( $pairs, $atts, $shortcode = '' ) {
  	$atts = (array)$atts;
  	$out = array();
  	foreach($pairs as $name => $default) {
***************
*** 300,305 ****
--- 338,347 ----
  		else
  			$out[$name] = $default;
  	}
+ 
+ 	if ( $shortcode )
+ 		$out = apply_filters( "shortcode_atts_{$shortcode}", $out, $pairs, $atts );
+ 
  	return $out;
  }
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/SimplePie/Misc.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/SimplePie/Misc.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/SimplePie/Misc.php	2012-11-21 16:31:55.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/SimplePie/Misc.php	2013-07-08 12:10:16.000000000 -0500
***************
*** 124,130 ****
  						{
  							$attribs[$j][2] = $attribs[$j][1];
  						}
! 						$return[$i]['attribs'][strtolower($attribs[$j][1])]['data'] = SimplePie_Misc::entities_decode(end($attribs[$j]), 'UTF-8');
  					}
  				}
  			}
--- 124,130 ----
  						{
  							$attribs[$j][2] = $attribs[$j][1];
  						}
! 						$return[$i]['attribs'][strtolower($attribs[$j][1])]['data'] = SimplePie_Misc::entities_decode(end($attribs[$j]));
  					}
  				}
  			}
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/taxonomy.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/taxonomy.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/taxonomy.php	2012-11-27 13:42:38.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/taxonomy.php	2013-07-16 09:21:05.000000000 -0500
***************
*** 317,334 ****
  	if ( ! is_array($wp_taxonomies) )
  		$wp_taxonomies = array();
  
! 	$defaults = array(	'hierarchical' => false,
! 						'update_count_callback' => '',
! 						'rewrite' => true,
! 						'query_var' => $taxonomy,
! 						'public' => true,
! 						'show_ui' => null,
! 						'show_tagcloud' => null,
! 						'_builtin' => false,
! 						'labels' => array(),
! 						'capabilities' => array(),
! 						'show_in_nav_menus' => null,
! 					);
  	$args = wp_parse_args($args, $defaults);
  
  	if ( strlen( $taxonomy ) > 32 )
--- 317,335 ----
  	if ( ! is_array($wp_taxonomies) )
  		$wp_taxonomies = array();
  
! 	$defaults = array(
! 		'hierarchical' => false,
! 		'update_count_callback' => '',
! 		'rewrite' => true,
! 		'query_var' => $taxonomy,
! 		'public' => true,
! 		'show_ui' => null,
! 		'show_tagcloud' => null,
! 		'_builtin' => false,
! 		'labels' => array(),
! 		'capabilities' => array(),
! 		'show_in_nav_menus' => null,
! 	);
  	$args = wp_parse_args($args, $defaults);
  
  	if ( strlen( $taxonomy ) > 32 )
***************
*** 411,416 ****
--- 412,418 ----
   * - separate_items_with_commas - This string isn't used on hierarchical taxonomies. Default is "Separate tags with commas", used in the meta box.
   * - add_or_remove_items - This string isn't used on hierarchical taxonomies. Default is "Add or remove tags", used in the meta box when JavaScript is disabled.
   * - choose_from_most_used - This string isn't used on hierarchical taxonomies. Default is "Choose from the most used tags", used in the meta box.
+  * - not_found - This string isn't used on hierarchical taxonomies. Default is "No tags found", used in the meta box.
   *
   * Above, the first default value is for non-hierarchical taxonomies (like tags) and the second one is for hierarchical taxonomies (like categories).
   *
***************
*** 423,428 ****
--- 425,433 ----
  	if ( isset( $tax->helps ) && empty( $tax->labels['separate_items_with_commas'] ) )
  		$tax->labels['separate_items_with_commas'] = $tax->helps;
  
+ 	if ( isset( $tax->no_tagcloud ) && empty( $tax->labels['not_found'] ) )
+ 		$tax->labels['not_found'] = $tax->no_tagcloud;
+ 
  	$nohier_vs_hier_defaults = array(
  		'name' => array( _x( 'Tags', 'taxonomy general name' ), _x( 'Categories', 'taxonomy general name' ) ),
  		'singular_name' => array( _x( 'Tag', 'taxonomy singular name' ), _x( 'Category', 'taxonomy singular name' ) ),
***************
*** 439,444 ****
--- 444,450 ----
  		'separate_items_with_commas' => array( __( 'Separate tags with commas' ), null ),
  		'add_or_remove_items' => array( __( 'Add or remove tags' ), null ),
  		'choose_from_most_used' => array( __( 'Choose from the most used tags' ), null ),
+ 		'not_found' => array( __( 'No tags found.' ), null ),
  	);
  	$nohier_vs_hier_defaults['menu_name'] = $nohier_vs_hier_defaults['name'];
  
***************
*** 785,791 ****
  		if ( $query['field'] == $resulting_field )
  			return;
  
! 		$resulting_field = esc_sql( $resulting_field );
  
  		switch ( $query['field'] ) {
  			case 'slug':
--- 791,797 ----
  		if ( $query['field'] == $resulting_field )
  			return;
  
! 		$resulting_field = sanitize_key( $resulting_field );
  
  		switch ( $query['field'] ) {
  			case 'slug':
***************
*** 954,960 ****
  			return false;
  	} else if ( 'name' == $field ) {
  		// Assume already escaped
! 		$value = stripslashes($value);
  		$field = 't.name';
  	} else {
  		$term = get_term( (int) $value, $taxonomy, $output, $filter);
--- 960,966 ----
  			return false;
  	} else if ( 'name' == $field ) {
  		// Assume already escaped
! 		$value = wp_unslash($value);
  		$field = 't.name';
  	} else {
  		$term = get_term( (int) $value, $taxonomy, $output, $filter);
***************
*** 1240,1249 ****
  	// $args can be whatever, only use the args defined in defaults to compute the key
  	$filter_key = ( has_filter('list_terms_exclusions') ) ? serialize($GLOBALS['wp_filter']['list_terms_exclusions']) : '';
  	$key = md5( serialize( compact(array_keys($defaults)) ) . serialize( $taxonomies ) . $filter_key );
! 	$last_changed = wp_cache_get('last_changed', 'terms');
! 	if ( !$last_changed ) {
! 		$last_changed = time();
! 		wp_cache_set('last_changed', $last_changed, 'terms');
  	}
  	$cache_key = "get_terms:$key:$last_changed";
  	$cache = wp_cache_get( $cache_key, 'terms' );
--- 1246,1255 ----
  	// $args can be whatever, only use the args defined in defaults to compute the key
  	$filter_key = ( has_filter('list_terms_exclusions') ) ? serialize($GLOBALS['wp_filter']['list_terms_exclusions']) : '';
  	$key = md5( serialize( compact(array_keys($defaults)) ) . serialize( $taxonomies ) . $filter_key );
! 	$last_changed = wp_cache_get( 'last_changed', 'terms' );
! 	if ( ! $last_changed ) {
! 		$last_changed = microtime();
! 		wp_cache_set( 'last_changed', $last_changed, 'terms' );
  	}
  	$cache_key = "get_terms:$key:$last_changed";
  	$cache = wp_cache_get( $cache_key, 'terms' );
***************
*** 1346,1352 ****
  		$where .= ' AND tt.count > 0';
  
  	// don't limit the query results when we have to descend the family tree
! 	if ( ! empty($number) && ! $hierarchical && empty( $child_of ) && '' === $parent ) {
  		if ( $offset )
  			$limits = 'LIMIT ' . $offset . ',' . $number;
  		else
--- 1352,1358 ----
  		$where .= ' AND tt.count > 0';
  
  	// don't limit the query results when we have to descend the family tree
! 	if ( $number && ! $hierarchical && ! $child_of && '' === $parent ) {
  		if ( $offset )
  			$limits = 'LIMIT ' . $offset . ',' . $number;
  		else
***************
*** 1451,1459 ****
  		$terms = $_terms;
  	}
  
! 	if ( 0 < $number && intval(@count($terms)) > $number ) {
! 		$terms = array_slice($terms, $offset, $number);
! 	}
  
  	wp_cache_add( $cache_key, $terms, 'terms', DAY_IN_SECONDS );
  
--- 1457,1464 ----
  		$terms = $_terms;
  	}
  
! 	if ( $number && is_array( $terms ) && count( $terms ) > $number )
! 		$terms = array_slice( $terms, $offset, $number );
  
  	wp_cache_add( $cache_key, $terms, 'terms', DAY_IN_SECONDS );
  
***************
*** 1494,1500 ****
  			return $wpdb->get_var( $wpdb->prepare( $select . $where, $term ) );
  	}
  
! 	$term = trim( stripslashes( $term ) );
  
  	if ( '' === $slug = sanitize_title($term) )
  		return 0;
--- 1499,1505 ----
  			return $wpdb->get_var( $wpdb->prepare( $select . $where, $term ) );
  	}
  
! 	$term = trim( wp_unslash( $term ) );
  
  	if ( '' === $slug = sanitize_title($term) )
  		return 0;
***************
*** 1712,1737 ****
   * @package WordPress
   * @subpackage Taxonomy
   * @since 2.3.0
!  * @uses $wpdb
   *
   * @param int $object_id The term Object Id that refers to the term
   * @param string|array $taxonomies List of Taxonomy Names or single Taxonomy name.
   */
  function wp_delete_object_term_relationships( $object_id, $taxonomies ) {
- 	global $wpdb;
- 
  	$object_id = (int) $object_id;
  
  	if ( !is_array($taxonomies) )
  		$taxonomies = array($taxonomies);
  
  	foreach ( (array) $taxonomies as $taxonomy ) {
! 		$tt_ids = wp_get_object_terms($object_id, $taxonomy, array('fields' => 'tt_ids'));
! 		$in_tt_ids = "'" . implode("', '", $tt_ids) . "'";
! 		do_action( 'delete_term_relationships', $object_id, $tt_ids );
! 		$wpdb->query( $wpdb->prepare("DELETE FROM $wpdb->term_relationships WHERE object_id = %d AND term_taxonomy_id IN ($in_tt_ids)", $object_id) );
! 		do_action( 'deleted_term_relationships', $object_id, $tt_ids );
! 		wp_update_term_count($tt_ids, $taxonomy);
  	}
  }
  
--- 1717,1737 ----
   * @package WordPress
   * @subpackage Taxonomy
   * @since 2.3.0
!  * @uses wp_remove_object_terms()
   *
   * @param int $object_id The term Object Id that refers to the term
   * @param string|array $taxonomies List of Taxonomy Names or single Taxonomy name.
   */
  function wp_delete_object_term_relationships( $object_id, $taxonomies ) {
  	$object_id = (int) $object_id;
  
  	if ( !is_array($taxonomies) )
  		$taxonomies = array($taxonomies);
  
  	foreach ( (array) $taxonomies as $taxonomy ) {
! 		$term_ids = wp_get_object_terms( $object_id, $taxonomy, array( 'fields' => 'ids' ) );
! 		$term_ids = array_map( 'intval', $term_ids );
! 		wp_remove_object_terms( $object_id, $term_ids, $taxonomy );
  	}
  }
  
***************
*** 1752,1759 ****
   *
   * @uses $wpdb
   * @uses do_action() Calls both 'delete_term' and 'delete_$taxonomy' action
!  *	hooks, passing term object, term id. 'delete_term' gets an additional
!  *	parameter with the $taxonomy parameter.
   *
   * @param int $term Term ID
   * @param string $taxonomy Taxonomy Name
--- 1752,1759 ----
   *
   * @uses $wpdb
   * @uses do_action() Calls both 'delete_term' and 'delete_$taxonomy' action
!  *	hooks, passing term ID, term taxonomy ID, and deleted term object. 'delete_term'
!  *	also gets taxonomy as the third parameter.
   *
   * @param int $term Term ID
   * @param string $taxonomy Taxonomy Name
***************
*** 2062,2069 ****
  	extract($args, EXTR_SKIP);
  
  	// expected_slashed ($name)
! 	$name = stripslashes($name);
! 	$description = stripslashes($description);
  
  	if ( empty($slug) )
  		$slug = sanitize_title($name);
--- 2062,2069 ----
  	extract($args, EXTR_SKIP);
  
  	// expected_slashed ($name)
! 	$name = wp_unslash($name);
! 	$description = wp_unslash($description);
  
  	if ( empty($slug) )
  		$slug = sanitize_title($name);
***************
*** 2158,2164 ****
   * @package WordPress
   * @subpackage Taxonomy
   * @since 2.3.0
!  * @uses $wpdb
   *
   * @param int $object_id The object to relate to.
   * @param array|int|string $terms The slug or id of the term, will replace all existing
--- 2158,2164 ----
   * @package WordPress
   * @subpackage Taxonomy
   * @since 2.3.0
!  * @uses wp_remove_object_terms()
   *
   * @param int $object_id The object to relate to.
   * @param array|int|string $terms The slug or id of the term, will replace all existing
***************
*** 2215,2227 ****
  		wp_update_term_count( $new_tt_ids, $taxonomy );
  
  	if ( ! $append ) {
! 		$delete_terms = array_diff($old_tt_ids, $tt_ids);
! 		if ( $delete_terms ) {
! 			$in_delete_terms = "'" . implode("', '", $delete_terms) . "'";
! 			do_action( 'delete_term_relationships', $object_id, $delete_terms );
! 			$wpdb->query( $wpdb->prepare("DELETE FROM $wpdb->term_relationships WHERE object_id = %d AND term_taxonomy_id IN ($in_delete_terms)", $object_id) );
! 			do_action( 'deleted_term_relationships', $object_id, $delete_terms );
! 			wp_update_term_count($delete_terms, $taxonomy);
  		}
  	}
  
--- 2215,2231 ----
  		wp_update_term_count( $new_tt_ids, $taxonomy );
  
  	if ( ! $append ) {
! 		$delete_tt_ids = array_diff( $old_tt_ids, $tt_ids );
! 
! 		if ( $delete_tt_ids ) {
! 			$in_delete_tt_ids = "'" . implode( "', '", $delete_tt_ids ) . "'";
! 			$delete_term_ids = $wpdb->get_col( $wpdb->prepare( "SELECT tt.term_id FROM $wpdb->term_taxonomy AS tt WHERE tt.taxonomy = %s AND tt.term_taxonomy_id IN ($in_delete_tt_ids)", $taxonomy ) );
! 			$delete_term_ids = array_map( 'intval', $delete_term_ids );
! 
! 			$remove = wp_remove_object_terms( $object_id, $delete_term_ids, $taxonomy );
! 			if ( is_wp_error( $remove ) ) {
! 				return $remove;
! 			}
  		}
  	}
  
***************
*** 2245,2250 ****
--- 2249,2334 ----
  }
  
  /**
+  * Add term(s) associated with a given object.
+  *
+  * @package WordPress
+  * @subpackage Taxonomy
+  * @since 3.6
+  * @uses wp_set_object_terms()
+  *
+  * @param int $object_id The ID of the object to which the terms will be added.
+  * @param array|int|string $terms The slug(s) or ID(s) of the term(s) to add.
+  * @param array|string $taxonomy Taxonomy name.
+  * @return array|WP_Error Affected Term IDs
+  */
+ function wp_add_object_terms( $object_id, $terms, $taxonomy ) {
+ 	return wp_set_object_terms( $object_id, $terms, $taxonomy, true );
+ }
+ 
+ /**
+  * Remove term(s) associated with a given object.
+  *
+  * @package WordPress
+  * @subpackage Taxonomy
+  * @since 3.6
+  * @uses $wpdb
+  *
+  * @uses apply_filters() Calls 'delete_term_relationships' hook with object_id and tt_ids as parameters.
+  * @uses apply_filters() Calls 'deleted_term_relationships' hook with object_id and tt_ids as parameters.
+  *
+  * @param int $object_id The ID of the object from which the terms will be removed.
+  * @param array|int|string $terms The slug(s) or ID(s) of the term(s) to remove.
+  * @param array|string $taxonomy Taxonomy name.
+  * @return bool|WP_Error True on success, false or WP_Error on failure.
+  */
+ function wp_remove_object_terms( $object_id, $terms, $taxonomy ) {
+ 	global $wpdb;
+ 
+ 	$object_id = (int) $object_id;
+ 
+ 	if ( ! taxonomy_exists( $taxonomy ) ) {
+ 		return new WP_Error( 'invalid_taxonomy', __( 'Invalid Taxonomy' ) );
+ 	}
+ 
+ 	if ( ! is_array( $terms ) ) {
+ 		$terms = array( $terms );
+ 	}
+ 
+ 	$tt_ids = array();
+ 
+ 	foreach ( (array) $terms as $term ) {
+ 		if ( ! strlen( trim( $term ) ) ) {
+ 			continue;
+ 		}
+ 
+ 		if ( ! $term_info = term_exists( $term, $taxonomy ) ) {
+ 			// Skip if a non-existent term ID is passed.
+ 			if ( is_int( $term ) ) {
+ 				continue;
+ 			}
+ 		}
+ 
+ 		if ( is_wp_error( $term_info ) ) {
+ 			return $term_info;
+ 		}
+ 
+ 		$tt_ids[] = $term_info['term_taxonomy_id'];
+ 	}
+ 
+ 	if ( $tt_ids ) {
+ 		$in_tt_ids = "'" . implode( "', '", $tt_ids ) . "'";
+ 		do_action( 'delete_term_relationships', $object_id, $tt_ids );
+ 		$deleted = $wpdb->query( $wpdb->prepare( "DELETE FROM $wpdb->term_relationships WHERE object_id = %d AND term_taxonomy_id IN ($in_tt_ids)", $object_id ) );
+ 		do_action( 'deleted_term_relationships', $object_id, $tt_ids );
+ 		wp_update_term_count( $tt_ids, $taxonomy );
+ 
+ 		return (bool) $deleted;
+ 	}
+ 
+ 	return false;
+ }
+ 
+ /**
   * Will make slug unique, if it isn't already.
   *
   * The $slug has to be unique global to every taxonomy, meaning that one
***************
*** 2361,2367 ****
  		return $term;
  
  	// Escape data pulled from DB.
! 	$term = add_magic_quotes($term);
  
  	// Merge old and new args with new args overwriting old ones.
  	$args = array_merge($term, $args);
--- 2445,2451 ----
  		return $term;
  
  	// Escape data pulled from DB.
! 	$term = wp_slash($term);
  
  	// Merge old and new args with new args overwriting old ones.
  	$args = array_merge($term, $args);
***************
*** 2372,2379 ****
  	extract($args, EXTR_SKIP);
  
  	// expected_slashed ($name)
! 	$name = stripslashes($name);
! 	$description = stripslashes($description);
  
  	if ( '' == trim($name) )
  		return new WP_Error('empty_term_name', __('A name is required for this term'));
--- 2456,2463 ----
  	extract($args, EXTR_SKIP);
  
  	// expected_slashed ($name)
! 	$name = wp_unslash($name);
! 	$description = wp_unslash($description);
  
  	if ( '' == trim($name) )
  		return new WP_Error('empty_term_name', __('A name is required for this term'));
***************
*** 2632,2638 ****
  		do_action('clean_term_cache', $ids, $taxonomy);
  	}
  
! 	wp_cache_set('last_changed', time(), 'terms');
  }
  
  /**
--- 2716,2722 ----
  		do_action('clean_term_cache', $ids, $taxonomy);
  	}
  
! 	wp_cache_set( 'last_changed', microtime(), 'terms' );
  }
  
  /**
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/template.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/template.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/template.php	2013-01-04 14:05:31.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/template.php	2013-03-12 04:30:13.000000000 -0500
***************
*** 96,103 ****
  /**
   * Retrieve path of category template in current or parent template.
   *
!  * Works by first retrieving the current slug for example 'category-default.php' and then
!  * trying category ID, for example 'category-1.php' and will finally fallback to category.php
   * template, if those files don't exist.
   *
   * @since 1.5.0
--- 96,103 ----
  /**
   * Retrieve path of category template in current or parent template.
   *
!  * Works by first retrieving the current slug, for example 'category-default.php', and then
!  * trying category ID, for example 'category-1.php', and will finally fall back to category.php
   * template, if those files don't exist.
   *
   * @since 1.5.0
***************
*** 122,129 ****
  /**
   * Retrieve path of tag template in current or parent template.
   *
!  * Works by first retrieving the current tag name, for example 'tag-wordpress.php' and then
!  * trying tag ID, for example 'tag-1.php' and will finally fallback to tag.php
   * template, if those files don't exist.
   *
   * @since 2.3.0
--- 122,129 ----
  /**
   * Retrieve path of tag template in current or parent template.
   *
!  * Works by first retrieving the current tag name, for example 'tag-wordpress.php', and then
!  * trying tag ID, for example 'tag-1.php', and will finally fall back to tag.php
   * template, if those files don't exist.
   *
   * @since 2.3.0
***************
*** 191,197 ****
  /**
   * Retrieve path of home template in current or parent template.
   *
!  * This is the template used for the page containing the blog posts
   *
   * Attempts to locate 'home.php' first before falling back to 'index.php'.
   *
--- 191,197 ----
  /**
   * Retrieve path of home template in current or parent template.
   *
!  * This is the template used for the page containing the blog posts.
   *
   * Attempts to locate 'home.php' first before falling back to 'index.php'.
   *
***************
*** 225,233 ****
  /**
   * Retrieve path of page template in current or parent template.
   *
!  * Will first look for the specifically assigned page template
!  * The will search for 'page-{slug}.php' followed by 'page-id.php'
!  * and finally 'page.php'
   *
   * @since 1.5.0
   *
--- 225,233 ----
  /**
   * Retrieve path of page template in current or parent template.
   *
!  * Will first look for the specifically assigned page template.
!  * Then will search for 'page-{slug}.php', followed by 'page-{id}.php',
!  * and finally 'page.php'.
   *
   * @since 1.5.0
   *
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/Text/Diff/Engine/native.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/Text/Diff/Engine/native.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/Text/Diff/Engine/native.php	2010-02-18 19:25:26.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/Text/Diff/Engine/native.php	2013-05-25 16:38:25.000000000 -0500
***************
*** 104,110 ****
                  ++$yi;
              }
              if ($copy) {
!                 $edits[] = &new Text_Diff_Op_copy($copy);
              }
  
              // Find deletes & adds.
--- 104,110 ----
                  ++$yi;
              }
              if ($copy) {
!                 $edits[] = new Text_Diff_Op_copy($copy);
              }
  
              // Find deletes & adds.
***************
*** 119,129 ****
              }
  
              if ($delete && $add) {
!                 $edits[] = &new Text_Diff_Op_change($delete, $add);
              } elseif ($delete) {
!                 $edits[] = &new Text_Diff_Op_delete($delete);
              } elseif ($add) {
!                 $edits[] = &new Text_Diff_Op_add($add);
              }
          }
  
--- 119,129 ----
              }
  
              if ($delete && $add) {
!                 $edits[] = new Text_Diff_Op_change($delete, $add);
              } elseif ($delete) {
!                 $edits[] = new Text_Diff_Op_delete($delete);
              } elseif ($add) {
!                 $edits[] = new Text_Diff_Op_add($add);
              }
          }
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/Text/Diff/Engine/string.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/Text/Diff/Engine/string.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/Text/Diff/Engine/string.php	2010-02-18 19:25:26.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/Text/Diff/Engine/string.php	2013-05-25 16:38:25.000000000 -0500
***************
*** 99,105 ****
                  do {
                      $diff1[] = substr($diff[$i], 1);
                  } while (++$i < $end && substr($diff[$i], 0, 1) == ' ');
!                 $edits[] = &new Text_Diff_Op_copy($diff1);
                  break;
  
              case '+':
--- 99,105 ----
                  do {
                      $diff1[] = substr($diff[$i], 1);
                  } while (++$i < $end && substr($diff[$i], 0, 1) == ' ');
!                 $edits[] = new Text_Diff_Op_copy($diff1);
                  break;
  
              case '+':
***************
*** 107,113 ****
                  do {
                      $diff1[] = substr($diff[$i], 1);
                  } while (++$i < $end && substr($diff[$i], 0, 1) == '+');
!                 $edits[] = &new Text_Diff_Op_add($diff1);
                  break;
  
              case '-':
--- 107,113 ----
                  do {
                      $diff1[] = substr($diff[$i], 1);
                  } while (++$i < $end && substr($diff[$i], 0, 1) == '+');
!                 $edits[] = new Text_Diff_Op_add($diff1);
                  break;
  
              case '-':
***************
*** 121,129 ****
                      $diff2[] = substr($diff[$i++], 1);
                  }
                  if (count($diff2) == 0) {
!                     $edits[] = &new Text_Diff_Op_delete($diff1);
                  } else {
!                     $edits[] = &new Text_Diff_Op_change($diff1, $diff2);
                  }
                  break;
  
--- 121,129 ----
                      $diff2[] = substr($diff[$i++], 1);
                  }
                  if (count($diff2) == 0) {
!                     $edits[] = new Text_Diff_Op_delete($diff1);
                  } else {
!                     $edits[] = new Text_Diff_Op_change($diff1, $diff2);
                  }
                  break;
  
***************
*** 189,195 ****
                  $array[] = substr($diff[$j++], 2);
              }
              if (count($array) > 0) {
!                 $edits[] = &new Text_Diff_Op_copy($array);
              }
  
              if ($i < $max_i) {
--- 189,195 ----
                  $array[] = substr($diff[$j++], 2);
              }
              if (count($array) > 0) {
!                 $edits[] = new Text_Diff_Op_copy($array);
              }
  
              if ($i < $max_i) {
***************
*** 203,223 ****
                              $diff2[] = substr($diff[$j++], 2);
                          }
                      } while (++$i < $max_i && substr($diff[$i], 0, 1) == '!');
!                     $edits[] = &new Text_Diff_Op_change($diff1, $diff2);
                      break;
  
                  case '+':
                      do {
                          $diff1[] = substr($diff[$i], 2);
                      } while (++$i < $max_i && substr($diff[$i], 0, 1) == '+');
!                     $edits[] = &new Text_Diff_Op_add($diff1);
                      break;
  
                  case '-':
                      do {
                          $diff1[] = substr($diff[$i], 2);
                      } while (++$i < $max_i && substr($diff[$i], 0, 1) == '-');
!                     $edits[] = &new Text_Diff_Op_delete($diff1);
                      break;
                  }
              }
--- 203,223 ----
                              $diff2[] = substr($diff[$j++], 2);
                          }
                      } while (++$i < $max_i && substr($diff[$i], 0, 1) == '!');
!                     $edits[] = new Text_Diff_Op_change($diff1, $diff2);
                      break;
  
                  case '+':
                      do {
                          $diff1[] = substr($diff[$i], 2);
                      } while (++$i < $max_i && substr($diff[$i], 0, 1) == '+');
!                     $edits[] = new Text_Diff_Op_add($diff1);
                      break;
  
                  case '-':
                      do {
                          $diff1[] = substr($diff[$i], 2);
                      } while (++$i < $max_i && substr($diff[$i], 0, 1) == '-');
!                     $edits[] = new Text_Diff_Op_delete($diff1);
                      break;
                  }
              }
***************
*** 229,242 ****
                      do {
                          $diff2[] = substr($diff[$j++], 2);
                      } while ($j < $max_j && substr($diff[$j], 0, 1) == '+');
!                     $edits[] = &new Text_Diff_Op_add($diff2);
                      break;
  
                  case '-':
                      do {
                          $diff2[] = substr($diff[$j++], 2);
                      } while ($j < $max_j && substr($diff[$j], 0, 1) == '-');
!                     $edits[] = &new Text_Diff_Op_delete($diff2);
                      break;
                  }
              }
--- 229,242 ----
                      do {
                          $diff2[] = substr($diff[$j++], 2);
                      } while ($j < $max_j && substr($diff[$j], 0, 1) == '+');
!                     $edits[] = new Text_Diff_Op_add($diff2);
                      break;
  
                  case '-':
                      do {
                          $diff2[] = substr($diff[$j++], 2);
                      } while ($j < $max_j && substr($diff[$j], 0, 1) == '-');
!                     $edits[] = new Text_Diff_Op_delete($diff2);
                      break;
                  }
              }
